package at.xne.sn.parser.antlr.internal; 

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import at.xne.sn.services.StatemachineGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalStatemachineParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_ID", "RULE_INT", "RULE_STRING", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'modul'", "';'", "'action'", "'state'", "'['", "'];'", "'-('", "')->'", "'transitioncondition'"
    };
    public static final int RULE_ID=4;
    public static final int RULE_ANY_OTHER=10;
    public static final int EOF=-1;
    public static final int RULE_SL_COMMENT=8;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__19=19;
    public static final int RULE_STRING=6;
    public static final int T__16=16;
    public static final int T__15=15;
    public static final int T__18=18;
    public static final int T__17=17;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int T__14=14;
    public static final int T__13=13;
    public static final int RULE_INT=5;
    public static final int RULE_WS=9;

    // delegates
    // delegators


        public InternalStatemachineParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalStatemachineParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalStatemachineParser.tokenNames; }
    public String getGrammarFileName() { return "../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g"; }



     	private StatemachineGrammarAccess grammarAccess;
     	
        public InternalStatemachineParser(TokenStream input, StatemachineGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }
        
        @Override
        protected String getFirstRuleName() {
        	return "Model";	
       	}
       	
       	@Override
       	protected StatemachineGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}



    // $ANTLR start "entryRuleModel"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:67:1: entryRuleModel returns [EObject current=null] : iv_ruleModel= ruleModel EOF ;
    public final EObject entryRuleModel() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleModel = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:68:2: (iv_ruleModel= ruleModel EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:69:2: iv_ruleModel= ruleModel EOF
            {
             newCompositeNode(grammarAccess.getModelRule()); 
            pushFollow(FOLLOW_ruleModel_in_entryRuleModel75);
            iv_ruleModel=ruleModel();

            state._fsp--;

             current =iv_ruleModel; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleModel85); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleModel"


    // $ANTLR start "ruleModel"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:76:1: ruleModel returns [EObject current=null] : ( (lv_modules_0_0= ruleModul ) )+ ;
    public final EObject ruleModel() throws RecognitionException {
        EObject current = null;

        EObject lv_modules_0_0 = null;


         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:79:28: ( ( (lv_modules_0_0= ruleModul ) )+ )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:80:1: ( (lv_modules_0_0= ruleModul ) )+
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:80:1: ( (lv_modules_0_0= ruleModul ) )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==11) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:81:1: (lv_modules_0_0= ruleModul )
            	    {
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:81:1: (lv_modules_0_0= ruleModul )
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:82:3: lv_modules_0_0= ruleModul
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModelAccess().getModulesModulParserRuleCall_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleModul_in_ruleModel130);
            	    lv_modules_0_0=ruleModul();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModelRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"modules",
            	            		lv_modules_0_0, 
            	            		"Modul");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleModel"


    // $ANTLR start "entryRuleModul"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:106:1: entryRuleModul returns [EObject current=null] : iv_ruleModul= ruleModul EOF ;
    public final EObject entryRuleModul() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleModul = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:107:2: (iv_ruleModul= ruleModul EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:108:2: iv_ruleModul= ruleModul EOF
            {
             newCompositeNode(grammarAccess.getModulRule()); 
            pushFollow(FOLLOW_ruleModul_in_entryRuleModul166);
            iv_ruleModul=ruleModul();

            state._fsp--;

             current =iv_ruleModul; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleModul176); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleModul"


    // $ANTLR start "ruleModul"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:115:1: ruleModul returns [EObject current=null] : (otherlv_0= 'modul' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ( (lv_actions_3_0= ruleAction ) )* ( (lv_states_4_0= ruleState ) )* ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )* ( (lv_transitions_6_0= ruleTransition ) )* ) ;
    public final EObject ruleModul() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;
        EObject lv_actions_3_0 = null;

        EObject lv_states_4_0 = null;

        EObject lv_transitionconditions_5_0 = null;

        EObject lv_transitions_6_0 = null;


         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:118:28: ( (otherlv_0= 'modul' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ( (lv_actions_3_0= ruleAction ) )* ( (lv_states_4_0= ruleState ) )* ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )* ( (lv_transitions_6_0= ruleTransition ) )* ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:119:1: (otherlv_0= 'modul' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ( (lv_actions_3_0= ruleAction ) )* ( (lv_states_4_0= ruleState ) )* ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )* ( (lv_transitions_6_0= ruleTransition ) )* )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:119:1: (otherlv_0= 'modul' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ( (lv_actions_3_0= ruleAction ) )* ( (lv_states_4_0= ruleState ) )* ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )* ( (lv_transitions_6_0= ruleTransition ) )* )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:119:3: otherlv_0= 'modul' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ( (lv_actions_3_0= ruleAction ) )* ( (lv_states_4_0= ruleState ) )* ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )* ( (lv_transitions_6_0= ruleTransition ) )*
            {
            otherlv_0=(Token)match(input,11,FOLLOW_11_in_ruleModul213); 

                	newLeafNode(otherlv_0, grammarAccess.getModulAccess().getModulKeyword_0());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:123:1: ( (lv_name_1_0= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:124:1: (lv_name_1_0= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:124:1: (lv_name_1_0= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:125:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleModul230); 

            			newLeafNode(lv_name_1_0, grammarAccess.getModulAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getModulRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,12,FOLLOW_12_in_ruleModul247); 

                	newLeafNode(otherlv_2, grammarAccess.getModulAccess().getSemicolonKeyword_2());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:145:1: ( (lv_actions_3_0= ruleAction ) )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==13) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:146:1: (lv_actions_3_0= ruleAction )
            	    {
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:146:1: (lv_actions_3_0= ruleAction )
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:147:3: lv_actions_3_0= ruleAction
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModulAccess().getActionsActionParserRuleCall_3_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleAction_in_ruleModul268);
            	    lv_actions_3_0=ruleAction();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModulRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"actions",
            	            		lv_actions_3_0, 
            	            		"Action");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:163:3: ( (lv_states_4_0= ruleState ) )*
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( (LA3_0==14) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:164:1: (lv_states_4_0= ruleState )
            	    {
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:164:1: (lv_states_4_0= ruleState )
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:165:3: lv_states_4_0= ruleState
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModulAccess().getStatesStateParserRuleCall_4_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleState_in_ruleModul290);
            	    lv_states_4_0=ruleState();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModulRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"states",
            	            		lv_states_4_0, 
            	            		"State");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);

            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:181:3: ( (lv_transitionconditions_5_0= ruleTransitioncondition ) )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( (LA4_0==19) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:182:1: (lv_transitionconditions_5_0= ruleTransitioncondition )
            	    {
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:182:1: (lv_transitionconditions_5_0= ruleTransitioncondition )
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:183:3: lv_transitionconditions_5_0= ruleTransitioncondition
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModulAccess().getTransitionconditionsTransitionconditionParserRuleCall_5_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleTransitioncondition_in_ruleModul312);
            	    lv_transitionconditions_5_0=ruleTransitioncondition();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModulRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"transitionconditions",
            	            		lv_transitionconditions_5_0, 
            	            		"Transitioncondition");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);

            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:199:3: ( (lv_transitions_6_0= ruleTransition ) )*
            loop5:
            do {
                int alt5=2;
                int LA5_0 = input.LA(1);

                if ( (LA5_0==RULE_ID) ) {
                    alt5=1;
                }


                switch (alt5) {
            	case 1 :
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:200:1: (lv_transitions_6_0= ruleTransition )
            	    {
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:200:1: (lv_transitions_6_0= ruleTransition )
            	    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:201:3: lv_transitions_6_0= ruleTransition
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModulAccess().getTransitionsTransitionParserRuleCall_6_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleTransition_in_ruleModul334);
            	    lv_transitions_6_0=ruleTransition();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModulRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"transitions",
            	            		lv_transitions_6_0, 
            	            		"Transition");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop5;
                }
            } while (true);


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleModul"


    // $ANTLR start "entryRuleAction"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:225:1: entryRuleAction returns [EObject current=null] : iv_ruleAction= ruleAction EOF ;
    public final EObject entryRuleAction() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleAction = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:226:2: (iv_ruleAction= ruleAction EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:227:2: iv_ruleAction= ruleAction EOF
            {
             newCompositeNode(grammarAccess.getActionRule()); 
            pushFollow(FOLLOW_ruleAction_in_entryRuleAction371);
            iv_ruleAction=ruleAction();

            state._fsp--;

             current =iv_ruleAction; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleAction381); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleAction"


    // $ANTLR start "ruleAction"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:234:1: ruleAction returns [EObject current=null] : (otherlv_0= 'action' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ) ;
    public final EObject ruleAction() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;

         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:237:28: ( (otherlv_0= 'action' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:238:1: (otherlv_0= 'action' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:238:1: (otherlv_0= 'action' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:238:3: otherlv_0= 'action' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';'
            {
            otherlv_0=(Token)match(input,13,FOLLOW_13_in_ruleAction418); 

                	newLeafNode(otherlv_0, grammarAccess.getActionAccess().getActionKeyword_0());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:242:1: ( (lv_name_1_0= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:243:1: (lv_name_1_0= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:243:1: (lv_name_1_0= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:244:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleAction435); 

            			newLeafNode(lv_name_1_0, grammarAccess.getActionAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getActionRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,12,FOLLOW_12_in_ruleAction452); 

                	newLeafNode(otherlv_2, grammarAccess.getActionAccess().getSemicolonKeyword_2());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleAction"


    // $ANTLR start "entryRuleState"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:272:1: entryRuleState returns [EObject current=null] : iv_ruleState= ruleState EOF ;
    public final EObject entryRuleState() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleState = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:273:2: (iv_ruleState= ruleState EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:274:2: iv_ruleState= ruleState EOF
            {
             newCompositeNode(grammarAccess.getStateRule()); 
            pushFollow(FOLLOW_ruleState_in_entryRuleState488);
            iv_ruleState=ruleState();

            state._fsp--;

             current =iv_ruleState; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleState498); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleState"


    // $ANTLR start "ruleState"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:281:1: ruleState returns [EObject current=null] : (otherlv_0= 'state' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) otherlv_4= '];' ) ;
    public final EObject ruleState() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;

         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:284:28: ( (otherlv_0= 'state' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) otherlv_4= '];' ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:285:1: (otherlv_0= 'state' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) otherlv_4= '];' )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:285:1: (otherlv_0= 'state' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) otherlv_4= '];' )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:285:3: otherlv_0= 'state' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) otherlv_4= '];'
            {
            otherlv_0=(Token)match(input,14,FOLLOW_14_in_ruleState535); 

                	newLeafNode(otherlv_0, grammarAccess.getStateAccess().getStateKeyword_0());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:289:1: ( (lv_name_1_0= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:290:1: (lv_name_1_0= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:290:1: (lv_name_1_0= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:291:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleState552); 

            			newLeafNode(lv_name_1_0, grammarAccess.getStateAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getStateRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,15,FOLLOW_15_in_ruleState569); 

                	newLeafNode(otherlv_2, grammarAccess.getStateAccess().getLeftSquareBracketKeyword_2());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:311:1: ( (otherlv_3= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:312:1: (otherlv_3= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:312:1: (otherlv_3= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:313:3: otherlv_3= RULE_ID
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getStateRule());
            	        }
                    
            otherlv_3=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleState589); 

            		newLeafNode(otherlv_3, grammarAccess.getStateAccess().getActionActionCrossReference_3_0()); 
            	

            }


            }

            otherlv_4=(Token)match(input,16,FOLLOW_16_in_ruleState601); 

                	newLeafNode(otherlv_4, grammarAccess.getStateAccess().getRightSquareBracketSemicolonKeyword_4());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleState"


    // $ANTLR start "entryRuleTransition"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:336:1: entryRuleTransition returns [EObject current=null] : iv_ruleTransition= ruleTransition EOF ;
    public final EObject entryRuleTransition() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleTransition = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:337:2: (iv_ruleTransition= ruleTransition EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:338:2: iv_ruleTransition= ruleTransition EOF
            {
             newCompositeNode(grammarAccess.getTransitionRule()); 
            pushFollow(FOLLOW_ruleTransition_in_entryRuleTransition637);
            iv_ruleTransition=ruleTransition();

            state._fsp--;

             current =iv_ruleTransition; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleTransition647); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleTransition"


    // $ANTLR start "ruleTransition"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:345:1: ruleTransition returns [EObject current=null] : ( ( (otherlv_0= RULE_ID ) ) otherlv_1= '-(' ( (otherlv_2= RULE_ID ) ) otherlv_3= ')->' ( (otherlv_4= RULE_ID ) ) otherlv_5= ';' ) ;
    public final EObject ruleTransition() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;

         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:348:28: ( ( ( (otherlv_0= RULE_ID ) ) otherlv_1= '-(' ( (otherlv_2= RULE_ID ) ) otherlv_3= ')->' ( (otherlv_4= RULE_ID ) ) otherlv_5= ';' ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:349:1: ( ( (otherlv_0= RULE_ID ) ) otherlv_1= '-(' ( (otherlv_2= RULE_ID ) ) otherlv_3= ')->' ( (otherlv_4= RULE_ID ) ) otherlv_5= ';' )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:349:1: ( ( (otherlv_0= RULE_ID ) ) otherlv_1= '-(' ( (otherlv_2= RULE_ID ) ) otherlv_3= ')->' ( (otherlv_4= RULE_ID ) ) otherlv_5= ';' )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:349:2: ( (otherlv_0= RULE_ID ) ) otherlv_1= '-(' ( (otherlv_2= RULE_ID ) ) otherlv_3= ')->' ( (otherlv_4= RULE_ID ) ) otherlv_5= ';'
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:349:2: ( (otherlv_0= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:350:1: (otherlv_0= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:350:1: (otherlv_0= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:351:3: otherlv_0= RULE_ID
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getTransitionRule());
            	        }
                    
            otherlv_0=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleTransition692); 

            		newLeafNode(otherlv_0, grammarAccess.getTransitionAccess().getStartStateCrossReference_0_0()); 
            	

            }


            }

            otherlv_1=(Token)match(input,17,FOLLOW_17_in_ruleTransition704); 

                	newLeafNode(otherlv_1, grammarAccess.getTransitionAccess().getHyphenMinusLeftParenthesisKeyword_1());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:366:1: ( (otherlv_2= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:367:1: (otherlv_2= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:367:1: (otherlv_2= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:368:3: otherlv_2= RULE_ID
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getTransitionRule());
            	        }
                    
            otherlv_2=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleTransition724); 

            		newLeafNode(otherlv_2, grammarAccess.getTransitionAccess().getTransitConditionTransitionconditionCrossReference_2_0()); 
            	

            }


            }

            otherlv_3=(Token)match(input,18,FOLLOW_18_in_ruleTransition736); 

                	newLeafNode(otherlv_3, grammarAccess.getTransitionAccess().getRightParenthesisHyphenMinusGreaterThanSignKeyword_3());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:383:1: ( (otherlv_4= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:384:1: (otherlv_4= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:384:1: (otherlv_4= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:385:3: otherlv_4= RULE_ID
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getTransitionRule());
            	        }
                    
            otherlv_4=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleTransition756); 

            		newLeafNode(otherlv_4, grammarAccess.getTransitionAccess().getEndeStateCrossReference_4_0()); 
            	

            }


            }

            otherlv_5=(Token)match(input,12,FOLLOW_12_in_ruleTransition768); 

                	newLeafNode(otherlv_5, grammarAccess.getTransitionAccess().getSemicolonKeyword_5());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleTransition"


    // $ANTLR start "entryRuleTransitioncondition"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:408:1: entryRuleTransitioncondition returns [EObject current=null] : iv_ruleTransitioncondition= ruleTransitioncondition EOF ;
    public final EObject entryRuleTransitioncondition() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleTransitioncondition = null;


        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:409:2: (iv_ruleTransitioncondition= ruleTransitioncondition EOF )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:410:2: iv_ruleTransitioncondition= ruleTransitioncondition EOF
            {
             newCompositeNode(grammarAccess.getTransitionconditionRule()); 
            pushFollow(FOLLOW_ruleTransitioncondition_in_entryRuleTransitioncondition804);
            iv_ruleTransitioncondition=ruleTransitioncondition();

            state._fsp--;

             current =iv_ruleTransitioncondition; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleTransitioncondition814); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleTransitioncondition"


    // $ANTLR start "ruleTransitioncondition"
    // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:417:1: ruleTransitioncondition returns [EObject current=null] : (otherlv_0= 'transitioncondition' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ) ;
    public final EObject ruleTransitioncondition() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;

         enterRule(); 
            
        try {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:420:28: ( (otherlv_0= 'transitioncondition' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:421:1: (otherlv_0= 'transitioncondition' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:421:1: (otherlv_0= 'transitioncondition' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';' )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:421:3: otherlv_0= 'transitioncondition' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ';'
            {
            otherlv_0=(Token)match(input,19,FOLLOW_19_in_ruleTransitioncondition851); 

                	newLeafNode(otherlv_0, grammarAccess.getTransitionconditionAccess().getTransitionconditionKeyword_0());
                
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:425:1: ( (lv_name_1_0= RULE_ID ) )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:426:1: (lv_name_1_0= RULE_ID )
            {
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:426:1: (lv_name_1_0= RULE_ID )
            // ../at.xne.sn.statemachine/src-gen/at/xne/sn/parser/antlr/internal/InternalStatemachine.g:427:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleTransitioncondition868); 

            			newLeafNode(lv_name_1_0, grammarAccess.getTransitionconditionAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getTransitionconditionRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,12,FOLLOW_12_in_ruleTransitioncondition885); 

                	newLeafNode(otherlv_2, grammarAccess.getTransitionconditionAccess().getSemicolonKeyword_2());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleTransitioncondition"

    // Delegated rules


 

    public static final BitSet FOLLOW_ruleModel_in_entryRuleModel75 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleModel85 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleModul_in_ruleModel130 = new BitSet(new long[]{0x0000000000000802L});
    public static final BitSet FOLLOW_ruleModul_in_entryRuleModul166 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleModul176 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_11_in_ruleModul213 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleModul230 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_12_in_ruleModul247 = new BitSet(new long[]{0x0000000000086012L});
    public static final BitSet FOLLOW_ruleAction_in_ruleModul268 = new BitSet(new long[]{0x0000000000086012L});
    public static final BitSet FOLLOW_ruleState_in_ruleModul290 = new BitSet(new long[]{0x0000000000084012L});
    public static final BitSet FOLLOW_ruleTransitioncondition_in_ruleModul312 = new BitSet(new long[]{0x0000000000080012L});
    public static final BitSet FOLLOW_ruleTransition_in_ruleModul334 = new BitSet(new long[]{0x0000000000000012L});
    public static final BitSet FOLLOW_ruleAction_in_entryRuleAction371 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleAction381 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_13_in_ruleAction418 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleAction435 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_12_in_ruleAction452 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleState_in_entryRuleState488 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleState498 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_14_in_ruleState535 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleState552 = new BitSet(new long[]{0x0000000000008000L});
    public static final BitSet FOLLOW_15_in_ruleState569 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleState589 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_16_in_ruleState601 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleTransition_in_entryRuleTransition637 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleTransition647 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleTransition692 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_17_in_ruleTransition704 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleTransition724 = new BitSet(new long[]{0x0000000000040000L});
    public static final BitSet FOLLOW_18_in_ruleTransition736 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleTransition756 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_12_in_ruleTransition768 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleTransitioncondition_in_entryRuleTransitioncondition804 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleTransitioncondition814 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_19_in_ruleTransitioncondition851 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleTransitioncondition868 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_12_in_ruleTransitioncondition885 = new BitSet(new long[]{0x0000000000000002L});

}